import { createStore } from "vuex";
import { getPermissions } from '@/service/user';

export default createStore({
  state: {
    userPermission: null,
  },
  mutations: {
    updateUserPermission(state, payload) {
      state.userPermission = payload;
    }
  },
  actions: {
    async getUserPermission({ commit }, payload) {
      const permissions = await getPermissions(payload.email);
      commit(permissions)
    }
  },
  modules: {},
  getters: {

  }
});
